net.minecraft.entity.player

## Class EntityPlayerMP

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.player.EntityPlayer
      - - net.minecraft.entity.player.EntityPlayerMP

- All Implemented Interfaces:
    ICommandSender, ICrafting
  Direct Known Subclasses:
    FakePlayer

      public class EntityPlayerMP
      extends EntityPlayer
      implements ICrafting

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.player.EntityPlayer

      `EntityPlayer.EnumChatVisibility, EntityPlayer.EnumStatus`

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `currentWindowId`
    `java.util.List` | `destroyedItemsNetCache`
    `boolean` | `isChangingQuantityOnly`
    `java.util.List` | `loadedChunks`
    `double` | `managedPosX`
    `double` | `managedPosZ`
    `MinecraftServer` | `mcServer`
    `int` | `ping`
    `boolean` | `playerConqueredTheEnd`
    `NetHandlerPlayServer` | `playerNetServerHandler`
    `ItemInWorldManager` | `theItemInWorldManager`

    - ### Fields inherited from class net.minecraft.entity.player.EntityPlayer

      `cameraYaw, capabilities, experience, experienceLevel, experienceTotal, eyeHeight, field_71079_bU, field_71082_cx, field_71085_bR, field_71089_bV, field_71091_bM, field_71094_bP, field_71095_bQ, field_71096_bN, field_71097_bO, fishEntity, flyToggleTimer, foodStats, inventory, inventoryContainer, openContainer, PERSISTED_NBT_TAG, playerLocation, prevCameraYaw, sleeping, speedInAir, speedOnGround, xpCooldown`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityPlayerMP(MinecraftServer p_i45285_1_, WorldServer p_i45285_2_, com.mojang.authlib.GameProfile p_i45285_3_, ItemInWorldManager p_i45285_4_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChatComponentMessage(IChatComponent p_146105_1_)`
    `void` | `addChatMessage(IChatComponent p_145747_1_)`
    `void` | `addExperienceLevel(int par1)`
    `void` | `addSelfToInternalCraftingInventory()`
    `void` | `addStat(StatBase par1StatBase, int par2)`
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)`
    `boolean` | `canAttackPlayer(EntityPlayer par1EntityPlayer)`
    `boolean` | `canCommandSenderUseCommand(int par1, java.lang.String par2Str)`
    `void` | `clonePlayer(EntityPlayer par1EntityPlayer, boolean par2)`
    `void` | `closeContainer()`
    `void` | `closeScreen()`
    `void` | `displayGUIAnvil(int par1, int par2, int par3)`
    `void` | `displayGUIChest(IInventory par1IInventory)`
    `void` | `displayGUIEnchantment(int par1, int par2, int par3, java.lang.String par4Str)`
    `void` | `displayGUIHopperMinecart(EntityMinecartHopper par1EntityMinecartHopper)`
    `void` | `displayGUIHorse(EntityHorse par1EntityHorse, IInventory par2IInventory)`
    `void` | `displayGUIMerchant(IMerchant par1IMerchant, java.lang.String par2Str)`
    `void` | `displayGUIWorkbench(int par1, int par2, int par3)`
    `void` | `func_143004_u()`
    `void` | `func_146093_a(TileEntityHopper p_146093_1_)`
    `void` | `func_146098_a(TileEntityBrewingStand p_146098_1_)`
    `void` | `func_146100_a(TileEntity p_146100_1_)`
    `void` | `func_146101_a(TileEntityFurnace p_146101_1_)`
    `void` | `func_146102_a(TileEntityDispenser p_146102_1_)`
    `void` | `func_146104_a(TileEntityBeacon p_146104_1_)`
    `EntityPlayer.EnumChatVisibility` | `func_147096_v()`
    `protected void` | `func_147098_j()`
    `StatisticsFile` | `func_147099_x()`
    `void` | `func_147100_a(C15PacketClientSettings p_147100_1_)`
    `float` | `getDefaultEyeHeight()` Returns the default eye height of the player
    `float` | `getEyeHeight()`
    `void` | `getNextWindowId()`
    `ChunkCoordinates` | `getPlayerCoordinates()`
    `java.lang.String` | `getPlayerIP()`
    `WorldServer` | `getServerForPlayer()`
    `void` | `handleFalling(double par1, boolean par3)`
    `void` | `mountEntity(Entity par1Entity)`
    `void` | `mountEntityAndWakeUp()`
    `protected void` | `onChangedPotionEffect(PotionEffect par1PotionEffect, boolean par2)`
    `void` | `onCriticalHit(Entity par1Entity)`
    `void` | `onDeath(DamageSource par1DamageSource)`
    `void` | `onEnchantmentCritical(Entity par1Entity)`
    `protected void` | `onFinishedPotionEffect(PotionEffect par1PotionEffect)`
    `void` | `onItemPickup(Entity par1Entity, int par2)`
    `protected void` | `onItemUseFinish()`
    `protected void` | `onNewPotionEffect(PotionEffect par1PotionEffect)`
    `void` | `onUpdate()`
    `void` | `onUpdateEntity()`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `requestTexturePackLoad(java.lang.String p_147095_1_)`
    `protected void` | `resetHeight()`
    `void` | `sendContainerAndContentsToPlayer(Container par1Container, java.util.List par2List)`
    `void` | `sendContainerToPlayer(Container par1Container)`
    `void` | `sendPlayerAbilities()`
    `void` | `sendProgressBarUpdate(Container par1Container, int par2, int par3)`
    `void` | `sendSlotContents(Container par1Container, int par2, ItemStack par3ItemStack)`
    `void` | `setEntityActionState(float par1, float par2, boolean par3, boolean par4)`
    `void` | `setGameType(WorldSettings.GameType par1EnumGameType)`
    `void` | `setItemInUse(ItemStack par1ItemStack, int par2)`
    `void` | `setPlayerHealthUpdated()`
    `void` | `setPositionAndUpdate(double par1, double par3, double par5)`
    `EntityPlayer.EnumStatus` | `sleepInBedAt(int par1, int par2, int par3)`
    `void` | `travelToDimension(int par1)`
    `protected void` | `updateFallState(double par1, boolean par3)`
    `void` | `updateHeldItem()`
    `void` | `wakeUpPlayer(boolean par1, boolean par2, boolean par3)`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.player.EntityPlayer

      `addExhaustion, addExperience, addMovementStat, addScore, addToPlayerScore, applyEntityAttributes, attackTargetEntityWithCurrentItem, canEat, canHarvestBlock, canPlayerEdit, canTriggerWalking, clearItemInUse, damageArmor, damageEntity, destroyCurrentEquippedItem, displayGUIBook, dropOneItem, dropPlayerItemWithRandomChoice, entityInit, fall, func_145748_c_, func_146067_o, func_146094_a, func_146095_a, func_146097_a, getAbsorptionAmount, getAIMoveSpeed, getAlwaysRenderNameTagForRender, getArmorVisibility, getBedLocation, getBedLocation, getBedOrientationInDegrees, getBreakSpeed, getBreakSpeed, getCommandSenderName, getCurrentArmor, getCurrentEquippedItem, getCurrentPlayerStrVsBlock, getDeathSound, getDisplayName, getEntityWorld, getEquipmentInSlot, getExperiencePoints, getFoodStats, getGameProfile, getHeldItem, getHideCape, getHideCape, getHurtSound, getInventoryEnderChest, getItemIcon, getItemInUse, getItemInUseCount, getItemInUseDuration, getLastActiveItems, getMaxInPortalTime, getPortalCooldown, getPosition, getScore, getSleepTimer, getSplashSound, getSwimSound, getTeam, getTotalArmorValue, getWorldScoreboard, getYOffset, handleHealthUpdate, interactWith, isBlocking, isCurrentToolAdventureModeExempt, isEntityInsideOpaqueBlock, isInvisibleToPlayer, isMovementBlocked, isPlayer, isPlayerFullyAsleep, isPlayerSleeping, isPushedByWater, isSpawnForced, isSpawnForced, isUsingItem, joinEntityItemWithWorld, jump, moveEntityWithHeading, onKillEntity, onLivingUpdate, openGui, playSound, preparePlayerToSpawn, refreshDisplayName, respawnPlayer, setAbsorptionAmount, setCurrentItemOrArmor, setDead, setHideCape, setInWeb, setScore, setSpawnChunk, setSpawnChunk, shouldHeal, stopUsingItem, triggerAchievement, updateEntityActionState, updateItemUse, updateRidden, verifyRespawnCoordinates, xpBarCap`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, attackEntityAsMob, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, decreaseAirSupply, dismountEntity, dropEquipment, dropFewItems, dropRareDrop, func_110142_aN, func_110146_f, func_142015_aE, func_146066_aG, func_94060_bK, getActivePotionEffect, getActivePotionEffects, getAge, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getEntityAttribute, getHealth, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getRNG, getRotationYawHead, getSoundPitch, getSoundVolume, getSwingProgress, heal, isAIEnabled, isChild, isClientWorld, isEntityAlive, isEntityUndead, isOnLadder, isOnSameTeam, isOnTeam, isPotionActive, isPotionActive, isPotionApplicable, kill, knockBack, onDeathUpdate, onEntityUpdate, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem, updateAITasks, updateAITick, updateArmSwingProgress, updatePotionEffects`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, getTeleportDirection, getUniqueID, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onStruckByLightning, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSize, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### playerNetServerHandler

          public NetHandlerPlayServer playerNetServerHandler

    - #### mcServer

          public final MinecraftServer mcServer

    - #### theItemInWorldManager

          public final ItemInWorldManager theItemInWorldManager

    - #### managedPosX

          public double managedPosX

    - #### managedPosZ

          public double managedPosZ

    - #### loadedChunks

          public final java.util.List loadedChunks

    - #### destroyedItemsNetCache

          public final java.util.List destroyedItemsNetCache

    - #### currentWindowId

          public int currentWindowId

    - #### isChangingQuantityOnly

          public boolean isChangingQuantityOnly

    - #### ping

          public int ping

    - #### playerConqueredTheEnd

          public boolean playerConqueredTheEnd

  - ### Constructor Detail

    - #### EntityPlayerMP

          public EntityPlayerMP(MinecraftServer p_i45285_1_,
                        WorldServer p_i45285_2_,
                        com.mojang.authlib.GameProfile p_i45285_3_,
                        ItemInWorldManager p_i45285_4_)

  - ### Method Detail

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `readEntityFromNBT` in class `EntityPlayer`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeEntityToNBT` in class `EntityPlayer`

    - #### addExperienceLevel

          public void addExperienceLevel(int par1)

      Overrides:
        `addExperienceLevel` in class `EntityPlayer`

    - #### addSelfToInternalCraftingInventory

          public void addSelfToInternalCraftingInventory()

    - #### resetHeight

          protected void resetHeight()

      Overrides:
        `resetHeight` in class `EntityPlayer`

    - #### getEyeHeight

          public float getEyeHeight()

      Overrides:
        `getEyeHeight` in class `EntityPlayer`

    - #### onUpdate

          public void onUpdate()

      Overrides:
        `onUpdate` in class `EntityPlayer`

    - #### onUpdateEntity

          public void onUpdateEntity()

    - #### func_147098_j

          protected void func_147098_j()

    - #### onDeath

          public void onDeath(DamageSource par1DamageSource)

      Overrides:
        `onDeath` in class `EntityPlayer`

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Overrides:
        `attackEntityFrom` in class `EntityPlayer`

    - #### canAttackPlayer

          public boolean canAttackPlayer(EntityPlayer par1EntityPlayer)

      Overrides:
        `canAttackPlayer` in class `EntityPlayer`

    - #### travelToDimension

          public void travelToDimension(int par1)

      Overrides:
        `travelToDimension` in class `Entity`

    - #### onItemPickup

          public void onItemPickup(Entity par1Entity,
                          int par2)

      Overrides:
        `onItemPickup` in class `EntityLivingBase`

    - #### sleepInBedAt

          public EntityPlayer.EnumStatus sleepInBedAt(int par1,
                                             int par2,
                                             int par3)

      Overrides:
        `sleepInBedAt` in class `EntityPlayer`

    - #### wakeUpPlayer

          public void wakeUpPlayer(boolean par1,
                          boolean par2,
                          boolean par3)

      Overrides:
        `wakeUpPlayer` in class `EntityPlayer`

    - #### mountEntity

          public void mountEntity(Entity par1Entity)

      Overrides:
        `mountEntity` in class `EntityPlayer`

    - #### updateFallState

          protected void updateFallState(double par1,
                             boolean par3)

      Overrides:
        `updateFallState` in class `EntityLivingBase`

    - #### handleFalling

          public void handleFalling(double par1,
                           boolean par3)

    - #### func_146100_a

          public void func_146100_a(TileEntity p_146100_1_)

      Overrides:
        `func_146100_a` in class `EntityPlayer`

    - #### getNextWindowId

          public void getNextWindowId()

    - #### displayGUIWorkbench

          public void displayGUIWorkbench(int par1,
                                 int par2,
                                 int par3)

      Overrides:
        `displayGUIWorkbench` in class `EntityPlayer`

    - #### displayGUIEnchantment

          public void displayGUIEnchantment(int par1,
                                   int par2,
                                   int par3,
                                   java.lang.String par4Str)

      Overrides:
        `displayGUIEnchantment` in class `EntityPlayer`

    - #### displayGUIAnvil

          public void displayGUIAnvil(int par1,
                             int par2,
                             int par3)

      Overrides:
        `displayGUIAnvil` in class `EntityPlayer`

    - #### displayGUIChest

          public void displayGUIChest(IInventory par1IInventory)

      Overrides:
        `displayGUIChest` in class `EntityPlayer`

    - #### func_146093_a

          public void func_146093_a(TileEntityHopper p_146093_1_)

      Overrides:
        `func_146093_a` in class `EntityPlayer`

    - #### displayGUIHopperMinecart

          public void displayGUIHopperMinecart(EntityMinecartHopper par1EntityMinecartHopper)

      Overrides:
        `displayGUIHopperMinecart` in class `EntityPlayer`

    - #### func_146101_a

          public void func_146101_a(TileEntityFurnace p_146101_1_)

      Overrides:
        `func_146101_a` in class `EntityPlayer`

    - #### func_146102_a

          public void func_146102_a(TileEntityDispenser p_146102_1_)

      Overrides:
        `func_146102_a` in class `EntityPlayer`

    - #### func_146098_a

          public void func_146098_a(TileEntityBrewingStand p_146098_1_)

      Overrides:
        `func_146098_a` in class `EntityPlayer`

    - #### func_146104_a

          public void func_146104_a(TileEntityBeacon p_146104_1_)

      Overrides:
        `func_146104_a` in class `EntityPlayer`

    - #### displayGUIMerchant

          public void displayGUIMerchant(IMerchant par1IMerchant,
                                java.lang.String par2Str)

      Overrides:
        `displayGUIMerchant` in class `EntityPlayer`

    - #### displayGUIHorse

          public void displayGUIHorse(EntityHorse par1EntityHorse,
                             IInventory par2IInventory)

      Overrides:
        `displayGUIHorse` in class `EntityPlayer`

    - #### sendSlotContents

          public void sendSlotContents(Container par1Container,
                              int par2,
                              ItemStack par3ItemStack)

      Specified by:
        `sendSlotContents` in interface `ICrafting`

    - #### sendContainerToPlayer

          public void sendContainerToPlayer(Container par1Container)

    - #### sendContainerAndContentsToPlayer

          public void sendContainerAndContentsToPlayer(Container par1Container,
                                              java.util.List par2List)

      Specified by:
        `sendContainerAndContentsToPlayer` in interface `ICrafting`

    - #### sendProgressBarUpdate

          public void sendProgressBarUpdate(Container par1Container,
                                   int par2,
                                   int par3)

      Specified by:
        `sendProgressBarUpdate` in interface `ICrafting`

    - #### closeScreen

          public void closeScreen()

      Overrides:
        `closeScreen` in class `EntityPlayer`

    - #### updateHeldItem

          public void updateHeldItem()

    - #### closeContainer

          public void closeContainer()

    - #### setEntityActionState

          public void setEntityActionState(float par1,
                                  float par2,
                                  boolean par3,
                                  boolean par4)

    - #### addStat

          public void addStat(StatBase par1StatBase,
                     int par2)

      Overrides:
        `addStat` in class `EntityPlayer`

    - #### mountEntityAndWakeUp

          public void mountEntityAndWakeUp()

    - #### setPlayerHealthUpdated

          public void setPlayerHealthUpdated()

    - #### addChatComponentMessage

          public void addChatComponentMessage(IChatComponent p_146105_1_)

      Overrides:
        `addChatComponentMessage` in class `EntityPlayer`

    - #### onItemUseFinish

          protected void onItemUseFinish()

      Overrides:
        `onItemUseFinish` in class `EntityPlayer`

    - #### setItemInUse

          public void setItemInUse(ItemStack par1ItemStack,
                          int par2)

      Overrides:
        `setItemInUse` in class `EntityPlayer`

    - #### clonePlayer

          public void clonePlayer(EntityPlayer par1EntityPlayer,
                         boolean par2)

      Overrides:
        `clonePlayer` in class `EntityPlayer`

    - #### onNewPotionEffect

          protected void onNewPotionEffect(PotionEffect par1PotionEffect)

      Overrides:
        `onNewPotionEffect` in class `EntityLivingBase`

    - #### onChangedPotionEffect

          protected void onChangedPotionEffect(PotionEffect par1PotionEffect,
                                   boolean par2)

      Overrides:
        `onChangedPotionEffect` in class `EntityLivingBase`

    - #### onFinishedPotionEffect

          protected void onFinishedPotionEffect(PotionEffect par1PotionEffect)

      Overrides:
        `onFinishedPotionEffect` in class `EntityLivingBase`

    - #### setPositionAndUpdate

          public void setPositionAndUpdate(double par1,
                                  double par3,
                                  double par5)

      Overrides:
        `setPositionAndUpdate` in class `EntityLivingBase`

    - #### onCriticalHit

          public void onCriticalHit(Entity par1Entity)

      Overrides:
        `onCriticalHit` in class `EntityPlayer`

    - #### onEnchantmentCritical

          public void onEnchantmentCritical(Entity par1Entity)

      Overrides:
        `onEnchantmentCritical` in class `EntityPlayer`

    - #### sendPlayerAbilities

          public void sendPlayerAbilities()

      Overrides:
        `sendPlayerAbilities` in class `EntityPlayer`

    - #### getServerForPlayer

          public WorldServer getServerForPlayer()

    - #### setGameType

          public void setGameType(WorldSettings.GameType par1EnumGameType)

      Overrides:
        `setGameType` in class `EntityPlayer`

    - #### addChatMessage

          public void addChatMessage(IChatComponent p_145747_1_)

      Specified by:
        `addChatMessage` in interface `ICommandSender`

    - #### canCommandSenderUseCommand

          public boolean canCommandSenderUseCommand(int par1,
                                           java.lang.String par2Str)

      Specified by:
        `canCommandSenderUseCommand` in interface `ICommandSender`

    - #### getPlayerIP

          public java.lang.String getPlayerIP()

    - #### func_147100_a

          public void func_147100_a(C15PacketClientSettings p_147100_1_)

    - #### func_147096_v

          public EntityPlayer.EnumChatVisibility func_147096_v()

    - #### requestTexturePackLoad

          public void requestTexturePackLoad(java.lang.String p_147095_1_)

    - #### getPlayerCoordinates

          public ChunkCoordinates getPlayerCoordinates()

      Specified by:
        `getPlayerCoordinates` in interface `ICommandSender`

    - #### func_143004_u

          public void func_143004_u()

    - #### func_147099_x

          public StatisticsFile func_147099_x()

    - #### getDefaultEyeHeight

          public float getDefaultEyeHeight()

      Returns the default eye height of the player
      Overrides:
        `getDefaultEyeHeight` in class `EntityPlayer`
      Returns:
        player default eye height